Ingest an event (high-throughput)

Served by the high-load ingest service. Does NOT support dynamic meter creation or cost prediction — use POST /v1/events/ingest for those. Requires the METER_DATA.INGEST permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-platform-idstringOptional
The platform ID.
x-api-keystringOptional
The API key used to authenticate the request.

Request

This endpoint expects an object.
idstringRequired
referencestringRequired
timestampstringRequired

Response

OK
referencestring or nullOptional
customer_idstring or nullOptional
customer_referencestring or nullOptional
meter_idstring or nullOptional
meter_referencestring or nullOptional
pricing_plan_subscription_idstring or nullOptional
pricing_plan_subscription_referencestring or nullOptional
pricing_plan_subscription_selectorobjectOptional
timestampstring or nullOptional
meter_propertieslist of objects or nullOptional
meter_valueslist of objects or nullOptional

Errors

401
Unauthorized Error
403
Forbidden Error